@import 'https://cdn.jsdelivr.net/npm/modern-normalize/modern-normalize.min.css';
@import url('https://fonts.googleapis.com/css2?family=Atkinson+Hyperlegible:ital,wght@0,400;0,700;1,400;1,700&family=Fira+Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

body {
	background:url(bg.png);  cursor: default;
	font: 18px / 1.5 "Atkinson Hyperlegible", serif;
	}
/* Firefox only */
@-moz-document url-prefix() {
	* {
	  scrollbar-width: thick;
	  scrollbar-color: #ffffff #000000;
	}
	}
	
	/* Works on Chrome, Edge, and Safari */
	*::-webkit-scrollbar {
	  width: 14px;
	}
	
	*::-webkit-scrollbar-track {
	  background:url(bg.png); 
	}
	
	*::-webkit-scrollbar-thumb {
	  background: linear-gradient(to bottom, #000 0%, #ffffff 100%);
	  border-radius: 20px;
	  width: 1rem;
	  height: 2rem;
	}
.container {
	max-width: 1024px;
	margin: 0 auto;
	display: grid;
	grid-template-columns: 1fr max-content;
	grid-template-areas:
	  "menu header" 
	  "content content" 
	  "footer footer";
	  justify-content: space-between;
	  grid-auto-flow: row dense;
  }
  
  .menu {
  grid-area: menu;
	align-self: end;
	background: url(subtle_dots.png);
	width:100%;
	margin:0;
	padding:0 0 10px 0;
	border-right: 1px solid #000;
   }
  .header { grid-area: header;  padding:0px; border-bottom: 1px solid black }
  .content { grid-area: content; 	background: url(subtle_dots.png); padding:0 calc(8px + 1.5625vw) calc(8px + 1.5625vw) calc(8px + 1.5625vw); line-height: 200%;}
  footer { grid-area: footer; color: #e6e6e6}

  button, [type=button], [type=checkbox], [type=radio], [type=range], [type=reset], [type=submit], select {
    cursor: pointer;
}

  a { 
    text-decoration: none;
    color: #000000;
    transition: all 0.4s ease;
}

main a, footer a {
  font-weight: 500;
  color: #898989;
}

main a:hover, footer a:hover .nav-link a:hover {
  color: rgb(0, 0, 0);
  text-shadow: 2px 2px 4px rgb(255, 208, 0);
  border-bottom: 1px solid black;
}

/*
a[href^="http://"]:where(:not([href*="naiad.nu"]))::after,
a[href^="https://"]:where(:not([href*="naiad.nu"]))::after, 
a[href^="//"]:where(:not([href*="naiad.nu"]))::after {
    content: "\279A";
    font-size:16px;
}
a:has(> img)::after {
    content: "" !important;
}
a:has(img):hover {
  background-color: #fff;
}
*/

::selection {
  color: #fff;
  background-color: rgb(90, 90, 107);
}

  img {
    vertical-align: middle;
    max-width: 100%;
}

.btn {
  background-color: #000;
  color: #f8f8f8;
  border-radius: 5px;
  font-size: smaller;
}

.collecting {
  display: inline-block;
  padding: 5px;
  margin-bottom: 10px;
}


/*fixes padding on non puzzle decks */

.collecting img {
    padding-bottom: 4px;
  }
  
  .collecting.puzzle img {
    padding: 0px;
  }
  
  .mastered img {
    padding-bottom: 4px;
  }
  
  .mastered.puzzle img {
    padding: 0px;
  }
  
  nav button {
    background: #fff;
  }
  nav button:hover {
    position: relative; left: 1.3px; top: 1.3px;
    
  }
  nav button.arrow::after {
content: ' ▾';  }

button {
  padding: 5px 10px;
  border: 0;
}




.dropdown {
  overflow: hidden;
  float: left;
}

.dropdown .dropbtn {
  cursor: pointer;
  border: none;
  outline: none;
  color: white;
  background-color: inherit;
  font-family: inherit;
  margin: 0;
}

.navbar a:hover, .dropdown:hover .dropbtn, .dropbtn:focus {
  background-color: red;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #000;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
}

.dropdown-content a {
  float: none;
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
  font-size: 14px;
}


.show {
  display: block;
}


.subnav {
    margin: 0 auto;
    margin-top: -1px;
    background: #000;
    height: auto;
    padding:5px 0px;
   }
nav.subnav a {
  padding: 6px;
  color: #fff;
  font-size: 100%;
}

.subnav a:hover {
  position: relative; left: 1.3px; top: 1.3px;
  color: rgb(255, 208, 0);
  text-shadow: 0px 0px 20px rgb(255, 208, 0, 0.5);
  border-bottom: none;
}

.current {
  color: rgb(184, 116, 223);
}

[aria-current="true"] {
  font-weight: bold;
}
[aria-current="true"]::after  {
    content: ' ';  }



h1, h1 a {
    color: #ffffff;
    text-align: center;
	  margin: 0 0 7px 0;
    background-color: #000;
}

h1 a:hover {
  text-shadow: 0px 0px 20px rgb(255, 255, 255, 0.5);
}

h1, h2, h3 {
	letter-spacing: -1.2px;
}


.text-center {
  text-align: center;
}
.text-right {
  text-align: right;
}
.align-middle {
  vertical-align: middle;
}

.text-small {
  font-size: 0.75rem;
}
u {
    color: rgb(97, 97, 128);
    text-decoration: none;
    border-bottom: 1px dashed;
}

b, strong {
    color: #555555;
}

i, em {
color: rgb(255, 208, 0);
}
i.fa-solid, i.fa-copy {
  color: inherit;
}
/* container */
.two-columns {
  display:flex;
  flex-wrap:wrap;
}

/* columns */
.two-columns > * {
  width:50%;
  padding:calc(8px + 1.5625vw)  ;
}


.cards img {
  margin-bottom: 6px;
  margin-right: 2px;
}


.copy-bn {
  width: 100%
}



blockquote {
  background: #f8f8f8;
  padding: 10px;
  margin: 10px 20px;
}


table.crayons {
  border-collapse: separate;
  border-spacing: 8px 0;
  display: inline-block;
}
.crayons td {
  background: #000;
  color: white;
  font-size: 11px;
  letter-spacing: 1px;
  line-height: 200%;
}
.crayons th, .crayons td {
  text-align: center;
  
}


.box {
  display: flex;
  justify-content: center;
  column-gap: 2em;
}

      
.logs {height: 400px; overflow: auto; padding-left: 2%; padding-right:2%; padding-top:2%;}
.logs h4 {
  letter-spacing: 10px;
  text-transform: uppercase;
  font-weight: 400;
}

.kopy {
    cursor: pointer;
}
.dimmedCard{
    display: none !important;
}

.list-inline ul{
    list-style-type: none;
    padding: 0px;
    margin: 0px;
  }
  .list-inline li {
    margin: 0 10px;
    padding: 5px;
    display: inline-block;
  }
  .cardname { 
    width: 122px;
    display: block;
    font-size: 12px;
    margin: 4px; 
    text-align: center;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
  }

  #cardlist, #pixelschain {
    margin-bottom: 25px;
  }

  ul li::marker{
    margin-left:-5px;
    content:'\2731  ';
    }
  
    .showcontent {
      padding: 5px;
    /*  display: none; */
      width: 100%;
      height: 60px;
      scrollbar-width: none;
      -ms-overflow-style: none;  /* IE 10+ */
      overflow-x: auto;
      margin-bottom:5px;
      font-size: 11px;
      opacity: 0.9;
      line-height: 25px;
      color: inherit;
      border: 0px;
    }

    .text-danger {
      color: rgb(255, 208, 0);
      text-shadow: 1px 1px 1px black;
    }

  /************************
  N E E D E D
  ************************/
  .needed-deck {
    font-weight: normal;
    text-align: left;
    display: inline-block;
    width: 29%;
    margin: 0;
    border-top: 1px solid rgba(0, 0, 0, .08);
    vertical-align: top;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
  }
  .needed-cards {
    font-weight: normal;
    text-align: left;
    display: inline-block;
    width: 69%;
    margin: 0;
    border-top: 1px solid rgba(0, 0, 0, .08);
    vertical-align: top;
  }
  .needed-trading .needed-cards {
    color: white !important;
  }
  .needed-pending {
    font-weight: normal;
    color: rgba(0, 0, 0, 0.1);
    cursor: help;
  }
  .needed {
    text-align: left;
    font-size: 16px;
  }
  .needed b, .needed strong {
    text-align: left;
    font-weight: normal;
    font-size: 16px;
  }




  

  textarea {
    vertical-align: middle;
  }


      .deck-red     { color: IndianRed !important; }
    .deck-orange  { color: Coral !important; }
    .deck-yellow  { color: PaleGoldenrod !important; }
    .deck-green   { color: DarkSeaGreen !important; }
    .deck-blue    { color: CornflowerBlue !important; }
    .deck-purple  { color: MediumOrchid !important; }
    .deck-brown   { color: Tan !important; }
    .deck-gray    { color: DarkGray !important; }

      @supports ((background-clip: text) or (-webkit-background-clip: text)) and
  ((text-fill-color: transparent) or (-webkit-text-fill-color: transparent)) {
.deck-special {
    background-image: linear-gradient(to right, #f79533 0%, #f37055 15%, #ef4e7b 30%, #a166ab 44%, #5073b8 58%, #1098ad 72%, #07b39b 86%, #6dba82 100%);
    background-size: cover;
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    text-fill-color: transparent;
  }
}



@media (max-width: 768px) {

    .container {
      grid-template-columns: 4fr;
      grid-template-areas:
      "header"
	     "menu"
        "content"
        "footer";
        margin: 0;
        padding: 0px;
    }
    .menu {
      border-right: none;
    }
    .two-columns > * {
      width:100%;
      padding:calc(8px + 1.5625vw)

      ;
  }
  }




  .fancybox__content {
  width: 600px !important;
  max-width: 60vw !important;
  height: 650px !important;
  max-height: 85vh !important;
  background: url(bg.png);
}

.fancybox__backdrop {
  background: rgba(24, 24, 27, 0.7);
}